/* ==========================================================================
  POST
===========================================================================*/

$post-shadow: 0 0 8px 1px rgba(0, 0, 0, 0.3);
$post-background: $color-white;

$post-border-radius: 4px;

$post-image-height: 150px;

$post-title-gap: 8px;

$post-title-font-size: $font-size-primary-smaller;
$post-title-color: $color-black-light;
$post-title-font-weight: $font-weight-medium;
$post-title-line-height: 1.2;

$post-text-font-size: $font-size-primary-smaller;
$post-text-color: $color-black;
$post-text-font-weight: $font-weight-light;

$post-link-font-size: $font-size-primary-smaller;
$post-link-font-weight: $font-weight-medium;
$post-link-color: $color-primary;
$post-link-color-hover: $color-black-lighten;

.post {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 350px;
  overflow: hidden;
  box-shadow: $post-shadow;
  border-radius: $post-border-radius;
  background-color: $post-background;
}

.post__image {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: $post-image-height;
  overflow: hidden;
  outline: none;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
}

.post__body {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  padding-top: 14px;
  padding-bottom: 14px;
  padding-left: 16px;
  padding-right: 16px;
  height: calc(100% - #{$post-image-height});
}

.post__date {
  color: $color-black;
  font-size: $font-size-primary-smaller;
  font-weight: $font-weight-light;
}

.post__title {
  max-height: 50px;
  margin-top: $post-title-gap;
  margin-bottom: $post-title-gap;
  font-size: $post-title-font-size;
  color: $post-title-color;
  font-weight: $post-title-font-weight;
  line-height: $post-title-line-height;
  text-decoration: none;
  overflow: hidden;
  column-count: 3;
  column-width: 300px;
}

.post__text {
  margin: 0;
  max-height: 60px;
  overflow: hidden;
  column-count: 3;
  column-width: 300px;
  font-size: $post-text-font-size;
  color: $post-text-color;
  font-weight: $post-text-font-weight;
}

.post__link {
  display: inline-flex;
  align-items: center;
  margin-top: auto;
  font-size: $post-link-font-size;
  color: $post-link-color;
  font-weight: $post-link-font-weight;
  text-decoration: none;

  &:hover {
    color: $post-link-color-hover;

    .icon {
      transform: translateX(2px);
      transition: .3s ease;
    }
  }

  .icon {
    width: 7px;
    height: 9px;
    transition: .3s ease;
  }
}

.post-link__text {
  margin-right: 5px;
}


/* end post */
